

import System;

class sampleException { }

function test() {
	try {
		throw new sampleException();
	}
	catch (e:sampleException)
	{
		Console.WriteLine("[test] Przechwycono wyjątek sampleException - i wywołujemy ponownie...");
		throw ;
	}

	Console.WriteLine("[test] Wyjście");
	return;
}

try {
  test();
}
catch (e:sampleException)
{
  Console.WriteLine("[main] Przechwycono wyjątek sampleException");
}
catch (e:Exception)
{
	Console.WriteLine("[main] Przechwycono wyjątek Exception");
}
Console.WriteLine("[main] Wyjście");	
